
From: Jens Axboe <axboe@suse.de>

Add a couple of missing cache flushes to the bouncing code.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/highmem.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN mm/highmem.c~highmem-flushes mm/highmem.c
--- 25/mm/highmem.c~highmem-flushes	2004-09-11 15:59:13.596128392 -0700
+++ 25-akpm/mm/highmem.c	2004-09-11 15:59:13.600127784 -0700
@@ -300,6 +300,7 @@ static void copy_to_high_bio_irq(struct 
 		 */
 		vfrom = page_address(fromvec->bv_page) + tovec->bv_offset;
 
+		flush_dcache_page(tovec->bv_page);
 		bounce_copy_vec(tovec, vfrom);
 	}
 }
@@ -406,6 +407,7 @@ static void __blk_queue_bounce(request_q
 		if (rw == WRITE) {
 			char *vto, *vfrom;
 
+			flush_dcache_page(from->bv_page);
 			vto = page_address(to->bv_page) + to->bv_offset;
 			vfrom = kmap(from->bv_page) + from->bv_offset;
 			memcpy(vto, vfrom, to->bv_len);
_
